<?php

global $theme_options, $theme_default_options;

$theme_menu_source_options = array(
	'Pages'      => __('صفحات', THEME_NS),
	'Categories' => __('دسته ها', THEME_NS)
);

$theme_sidebars_style_options = array(
	'block'  => __('بلاک استایل', THEME_NS),
	'post'   => __('استایل نوشته', THEME_NS),
	'simple' => __('متن نمونه', THEME_NS)
);

$theme_heading_options = array(
	'h1'  => __('<H1>', THEME_NS),
	'h2'  => __('<H2>', THEME_NS),
	'h3'  => __('<H3>', THEME_NS),
	'h4'  => __('<H4>', THEME_NS),
	'h5'  => __('<H5>', THEME_NS),
	'h6'  => __('<H6>', THEME_NS),
	'div' => __('<DIV>', THEME_NS),
);

$theme_widget_show_on = array(
	'all'           => __('همه صفحات', THEME_NS),
	'selected'      => __('صفحات انتخاب شده', THEME_NS),
	'none_selected' => __('همه صفحات انتخاب نشده', THEME_NS),
);

$theme_options = array (
	
	array(
		'name' => __('هدر', THEME_NS),
		'type' => 'heading'
	),
	array(
		'id'   => 'theme_header_show_headline',
		'name' => __('نمایش عنوان', THEME_NS),
		'desc' => __('بله', THEME_NS),
		'type' => 'checkbox'
	),
	array(
		'id'   => 'theme_header_show_slogan',
		'name' => __('نمایش شعار', THEME_NS),
		'desc' => __('بله', THEME_NS),
		'type' => 'checkbox'
	),
	array(
		'id'   => 'theme_header_clickable',
		'name' => __('لینک کردن هدر', THEME_NS),
		'type' => 'checkbox',
		'desc' => '',
	),
	array(
		'id'   => 'theme_header_link',
		'name' => __('لینک هدر', THEME_NS),
		'type' => 'text',
		'desc' => __('این آیتم زمانی فعال است که لینک کردن هدر فعال باشد', THEME_NS),
		'depend' => 'theme_header_clickable',
	),
	
	array(
		'name' => __('منوی ناوبری', THEME_NS),
		'type' => 'heading'
	),
	array(
		'id'   => 'theme_menu_showHome',
		'name' => __('نمایش صفحه اصلی', THEME_NS),
		'desc' => __('بله', THEME_NS),
		'type' => 'checkbox'
	),
	array(
		'id'   => 'theme_menu_homeCaption',
		'name' => __('عنوان صفحه اصلی', THEME_NS),
		'type' => 'text',
		'desc' => __('این آیتم زمانی فعال است که نمایش صفحه اصلی فعال باشد', THEME_NS),
		'depend' => 'theme_menu_showHome',
	),
	array(
		'id'   => 'theme_menu_highlight_active_categories',
		'name' => __('برجسته کردن دسته های فعال', THEME_NS),
		'desc' => __('بله', THEME_NS),
		'type' => 'checkbox'
	),
	array(
		'id'   => 'theme_menu_trim_title',
		'name' => __('اصلاح آیتم منوهای بلند', THEME_NS),
		'desc' => __('بله', THEME_NS),
		'type' => 'checkbox'
	),
	array(
		'id'   => 'theme_menu_trim_len',
		'name' => __('محدودیت آیتم به تعدادی کاراکتر خاص', THEME_NS),
		'desc' => __('هنگامی فعال است که اصلاح منو فعال باشد', THEME_NS),
		'type' => 'numeric',
		'depend' => 'theme_menu_trim_title',
	),
	array(
		'id'   => 'theme_submenu_trim_len',
		'name' => __('محدودیت زیر آیتم به تعدادی کاراکتر خاص', THEME_NS),
		'desc' => __('هنگامی فعال است که اصلاح منو فعال باشد', THEME_NS),
		'type' => 'numeric',
		'depend' => 'theme_menu_trim_title',
	),
	
	array(
		'id'      => 'theme_menu_source',
		'name'    => __('منبع پیش فرض منو', THEME_NS),
		'type'    => 'select',
		'options' => $theme_menu_source_options,
		'desc'    => __('وقتی نمایش می یابد که  در بخش نمایش > منو > منوی اولیه تنظیم نشده باشد', THEME_NS),
	),
	
	array(
		'name' => __('نوشته ها', THEME_NS),
		'type' => 'heading'
	),
	array(
		'id'   => 'theme_home_top_posts_navigation',
		'name' => __('نمایش لینک های ناوبری در بالاترین پست ثابت ارسال شده', THEME_NS),
		'desc' => __('بله', THEME_NS),
		'type' => 'checkbox'
	),
	array(
		'id'   => 'theme_top_posts_navigation',
		'name' => __('نمایش لینک های ناوبری در بالاترین پست ارسال شده', THEME_NS),
		'desc' => __('بله', THEME_NS),
		'type' => 'checkbox'
	),
	array(
		'id'   => 'theme_bottom_posts_navigation',
		'name' => __('نمایش لینک های ناوبری در پائین ترین پست ارسال شده', THEME_NS),
		'desc' => __('بله', THEME_NS),
		'type' => 'checkbox'
	),
	array(
		'id'   => 'theme_top_single_navigation',
		'name' => __('نمایش لینک های ناوبری در بالای یک نوشته', THEME_NS),
		'desc' => __('بله', THEME_NS),
		'type' => 'checkbox'
	),
	array(
		'id'   => 'theme_bottom_single_navigation',
		'name' => __('نمایش لینک های ناوبری در پائین یک نوشته', THEME_NS),
		'desc' => __('بله', THEME_NS),
		'type' => 'checkbox'
	),
	array(
		'id'   => 'theme_single_navigation_trim_title',
		'name' => __('اصلاح لینک ناوبری طولانی در یک نوشته ', THEME_NS),
		'desc' => __('بله', THEME_NS),
		'type' => 'checkbox'
	),
	array(
		'id'   => 'theme_single_navigation_trim_len',
		'name' => __('محدودیت لینک به تعدادی کاراکتر', THEME_NS),
		'desc' => __('زمانی فعال است که اصلاح لینک ناوبری فعال باشد', THEME_NS),
		'type' => 'numeric',
		'depend' => 'theme_single_navigation_trim_title',
	),
	array(
		'name' => __('عکس های ویژه', THEME_NS),
		'type' => 'heading'
	),
	array(
		'id'   => 'theme_metadata_use_featured_image_as_thumbnail',
		'name' => __('استفاده از تصویر برجسته به عنوان تصویر بند انگشتی', THEME_NS),
		'desc' => __('بله', THEME_NS),
		'type' => 'checkbox'
	),
	array(
		'id'   => 'theme_metadata_thumbnail_auto',
		'name' => __('استفاده اتوماتیک از بندانگشتی', THEME_NS),
		'desc' => __('ایجاد عکس های بند انگشتی بصورت خودکار با قرار دادن اولین عکس در گالری نوشته', THEME_NS),
		'type' => 'checkbox'
	),
	array(
		'id'   => 'theme_metadata_thumbnail_width',
		'name' => __('عرض بند انگشتی', THEME_NS),
		'desc' => __('(px)', THEME_NS),
		'type' => 'numeric'
	),
	array(
		'id'   => 'theme_metadata_thumbnail_height',
		'name' => __('طول بند انگشتی', THEME_NS),
		'desc' => __('(px)', THEME_NS),
		'type' => 'numeric'
	),
	array(
		'name' => __('خلاصه نوشته', THEME_NS),
		'type' => 'heading'
	),
	array(
		'id'   => 'theme_metadata_excerpt_auto',
		'name' => __('کاربرد خلاصه خودکار', THEME_NS),
		'desc' => __('ایجاد خلاصه نوشته به صورت خودکار', THEME_NS),
		'type' => 'checkbox'
	),
	array(
		'id'   => 'theme_metadata_excerpt_words',
		'name' => __('طول خلاصه نوشته', THEME_NS),
		'desc' => __('زمانی فعال است که طول خلاصه نوشته فعال باشد', THEME_NS),
		'type' => 'numeric',
        'depend' => 'theme_metadata_excerpt_auto'
	),
	array(
		'id'   => 'theme_metadata_excerpt_min_remainder',
		'name' => __('تعادل خلاصه', THEME_NS),
		'desc' => __('زمانی فعال است که طول خلاصه نوشته فعال باشد', THEME_NS),
		'type' => 'numeric',
		'depend' => 'theme_metadata_excerpt_auto'
	),
	array(
		'id'   => 'theme_metadata_excerpt_use_tag_filter',
		'name' => __('اعمال فیلتر خلاصه برچسب', THEME_NS),
		'desc' => __('بله', THEME_NS),
		'type' => 'checkbox'
	),
	array(
		'id'   => 'theme_metadata_excerpt_allowed_tags',
		'name' => __('اجازه خلاصه برچسب ها', THEME_NS),
		'desc' => __('زمانی فعال است که اعمال فیلتر خلاصه برچسب فعال باشد', THEME_NS),
		'type' => 'widetext',
		'depend' => 'theme_metadata_excerpt_use_tag_filter',
	),
	array(
		'name' => __('صفحات', THEME_NS),
		'type' => 'heading'
	),
	array(
		'id'   => 'theme_show_random_posts_on_404_page',
		'name' => __('نمایش تصادفی نوشته ها در خطای404', THEME_NS),
		'desc' => __('بله', THEME_NS),
		'type' => 'checkbox'
	),
	array(
		'id'   => 'theme_show_random_posts_title_on_404_page',
		'name' => __('عنوان برای نوشته های تصادفی', THEME_NS),
		'type' => 'text',
		'desc' => __('زمانی فعال است که نمایش تصادفی نوشته ها در خطای404 فعال باشد', THEME_NS),
		'depend' => 'theme_show_random_posts_on_404_page',
	),
	array(
		'id'   => 'theme_show_tags_on_404_page',
		'name' => __('نمایش برچسب ها در خطای404', THEME_NS),
		'desc' => __('بله', THEME_NS),
		'type' => 'checkbox'
	),
	array(
		'id'   => 'theme_show_tags_title_on_404_page',
		'name' => __('عنوان برچسب ها', THEME_NS),
		'type' => 'text',
		'desc' => __('زمانی فعال است که نمایش برچسب ها در خطای404 فعال باشد', THEME_NS),
		'depend' => 'theme_show_tags_on_404_page',
	),
	array(
		'name' => __('دیدگاه ها', THEME_NS),
		'type' => 'heading',
	),
	array(
		'id'   => 'theme_allow_comments',
		'name' => __('اجازه نوشتن دیدگاه', THEME_NS),
		'desc' => __('بله', THEME_NS),
		'type' => 'checkbox'
	),
	array(
		'id'   => 'theme_comment_use_smilies',
		'name' => __('بکاربردن شکلکها در دیدگاه ها', THEME_NS),
		'desc' => __('بکاربرید زمانی که شکلکها در دیدگاه ها فعال باشد', THEME_NS),
		'type' => 'checkbox',
		'depend' => 'theme_allow_comments',
	),
	array(
		'name' => __('ستونهای کناری', THEME_NS),
		'type' => 'heading',
		'desc' => __('نمایش ابزارکها پیش فرض', THEME_NS)
	),
	array(
		'id'      => 'theme_sidebars_style_default',
		'name'    => __('ستون کناری اول', THEME_NS),
		'type'    => 'select',
		'options' => $theme_sidebars_style_options
	),
	array(
		'id'      => 'theme_sidebars_style_secondary',
		'name'    => __('ستون کناری دوم', THEME_NS),
		'type'    => 'select',
		'options' => $theme_sidebars_style_options
	),
	array(
		'id'      => 'theme_sidebars_style_nav',
		'name'    => __('ناوبری ستونهای کناری', THEME_NS),
		'type'    => 'select',
		'options' => $theme_sidebars_style_options
	),
	array(
		'id'      => 'theme_sidebars_style_top',
		'name'    => __('ستون های کناری بالا', THEME_NS),
		'type'    => 'select',
		'options' => $theme_sidebars_style_options
	),
	array(
		'id'      => 'theme_sidebars_style_bottom',
		'name'    => __('ستونهای کناری پایین', THEME_NS),
		'type'    => 'select',
		'options' => $theme_sidebars_style_options
	),
	array(
		'id'      => 'theme_sidebars_style_header',
		'name'    => __('ستونهای هدر', THEME_NS),
		'type'    => 'select',
		'options' => $theme_sidebars_style_options
	),
	array(
		'id'      => 'theme_sidebars_style_footer',
		'name'    => __('ستونهای پانوشت', THEME_NS),
		'type'    => 'select',
		'options' => $theme_sidebars_style_options
	),
	array(
		'name' => __('پانوشت', THEME_NS),
		'type' => 'heading'
	),
	array(
		'id'     => 'theme_override_default_footer_content',
		'name' => __('
نادیده گرفتن متن پانوشت پیش فرض قالب', THEME_NS),
		'type' => 'checkbox',
		'desc' => __('بله', THEME_NS),
	),
	array(
		'id'     => 'theme_footer_content',
		'name'   => __('متن پانوشت', THEME_NS),
		'desc'   => sprintf(__('<strong>XHTML:</strong> شما این برچسب ها را میتوانید بکاربرید: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span') . '<br />'
		. sprintf(__('<strong>برچسب های کوتاه:</strong><code>%s</code>', THEME_NS), '[year], [top], [rss], [login_link], [blog_title], [xhtml], [css], [rss_url], [rss_title]') . '<br />'
		. __('زمانی بکار برید که نادیده گرفتن متن پانوشت پیش فرض قالب فعال باشد', THEME_NS),
		'type'   => 'textarea',
		'depend' => 'theme_override_default_footer_content',
	),
	array(
		'name' => __('تبلیغات', THEME_NS),
		'type' => 'heading',
		'desc' => sprintf(__(' بکاربرید%s این کد کوتاه را برای اضافه کردن تبلیغ در نوشته ها،ابزارک متن یا پانوشت', THEME_NS), '<code>[ad]</code>') . '<br/>'
		. '<span>' . __('مثال:', THEME_NS) .'</span><code>[ad code=4 align=center]</code>'
	),
	array(
		'id'   => 'theme_ad_code_1',
		'name' => sprintf(__('کد تبلیغ #%s:', THEME_NS), 1),
		'type' => 'textarea'
	),
	array(
		'id'   => 'theme_ad_code_2',
		'name' => sprintf(__('کد تبلیغ #%s:', THEME_NS), 2),
		'type' => 'textarea'
	),
	array(
		'id'   => 'theme_ad_code_3',
		'name' => sprintf(__('کد تبلیغ #%s:', THEME_NS), 3),
		'type' => 'textarea'
	),
	array(
		'id'   => 'theme_ad_code_4',
		'name' => sprintf(__('کد تبلیغ #%s:', THEME_NS), 4),
		'type' => 'textarea'
	),
	array(
		'id'   => 'theme_ad_code_5',
		'name' => sprintf(__('کد تبلیغ #%s:', THEME_NS), 5),
		'type' => 'textarea'
	),
	array(
		'name' => __('تیتر صفحه نوشته ها', THEME_NS),
		'type' => 'heading'
	),
	
	array(
		'id'      => 'theme_posts_headline_tag',
		'name'    => __('برچسب برای تیتر', THEME_NS),
		'type'    => 'select',
		'options' => $theme_heading_options
	),
	array(
		'id'      => 'theme_posts_slogan_tag',
		'name'    => __('برچسب برای شعار', THEME_NS),
		'type'    => 'select',
		'options' => $theme_heading_options
	),
	
	array(
		'id'      => 'theme_posts_article_title_tag',
		'name'    => __('برچسب برای مقاله', THEME_NS),
		'type'    => 'select',
		'options' => $theme_heading_options
	),
	array(
		'id'      => 'theme_posts_widget_title_tag',
		'name'    => __('برچشب برای ابزارکها', THEME_NS),
		'type'    => 'select',
		'options' => $theme_heading_options
	),
	array(
		'name' => __('عناوین برای یک پست یا صفحه', THEME_NS),
		'type' => 'heading'
	),
	
	array(
		'id'      => 'theme_single_headline_tag',
		'name'    => __('برچسب برای عنوان', THEME_NS),
		'type'    => 'select',
		'options' => $theme_heading_options
	),
	array(
		'id'      => 'theme_single_slogan_tag',
		'name'    => __('برچسب برای شعار', THEME_NS),
		'type'    => 'select',
		'options' => $theme_heading_options
	),
	
	array(
		'id'      => 'theme_single_article_title_tag',
		'name'    => __('برچسب برای مقاله', THEME_NS),
		'type'    => 'select',
		'options' => $theme_heading_options
	),
	array(
		'id'      => 'theme_single_widget_title_tag',
		'name'    => __('برچسب برای ابزارکها', THEME_NS),
		'type'    => 'select',
		'options' => $theme_heading_options
	),
);

global $theme_page_meta_options;
$theme_page_meta_options = array (
	array(
		'id'   => 'theme_show_in_menu',
		'name' => __('نمایش در منو', THEME_NS),
		'desc' => __('بله', THEME_NS),
		'type' => 'checkbox'
	),
	array(
		'id'   => 'theme_show_as_separator',
		'name' => __('عنوان جداکننده در منوی نمایش', THEME_NS),
		'desc' => __('بله', THEME_NS),
		'type' => 'checkbox'
	),
	array(
		'id'   => 'theme_title_in_menu',
		'name' => __('عنوان منو', THEME_NS),
		'type' => 'widetext'
	),
	array(
		'id'   => 'theme_show_page_title',
		'name' => __('نمایش عنوان در صفحه', THEME_NS),
		'desc' => __('بله', THEME_NS),
		'type' => 'checkbox'
	),
		array(
		'id'   => 'theme_layout_template_header',
		'name' => __('نمایش هدر در صفحه', THEME_NS),
		'desc' => __('بله', THEME_NS),
		'type' => 'checkbox'
	),
	array(
		'id'   => 'theme_layout_template_default_sidebar',
		'name' => __('نمایش ستون کناری پیش فرض در صفحه', THEME_NS),
		'desc' => __('بله', THEME_NS),
		'type' => 'checkbox'
	),
	array(
		'id'   => 'theme_layout_template_secondary_sidebar',
		'name' => __('نمایش ستون کناری دوم در صفحه', THEME_NS),
		'desc' => __('بله', THEME_NS),
		'type' => 'checkbox'
	),

);

global $theme_post_meta_options;
$theme_post_meta_options = array(
	array(
		'id'   => 'theme_show_post_title',
		'name' => __('نمایش عنوان در یک صفحه', THEME_NS),
		'desc' => __('بله', THEME_NS),
		'type' => 'checkbox'
	)
);

global $theme_widget_meta_options, $theme_widgets_style;
$theme_widget_meta_options = array(
	array(
		'id'      => 'theme_widget_styles',
		'name'    => __('نمایش:', THEME_NS),
		'type'    => 'select',
		'options' => $theme_widgets_style
	),
	array(
		'id'      => 'theme_widget_show_on',
		'name'    => __('نمایش ابزارک در:', THEME_NS),
		'type'    => 'select',
		'options' => $theme_widget_show_on
	),
	array(
		'id'   => 'theme_widget_front_page',
		'name' => '',
		'type' => 'checkbox',
		'desc' => __('برگه نخست', THEME_NS),
		'depend' => 'theme_widget_show_on:selected,none_selected',
	),
	array(
		'id'   => 'theme_widget_single_post',
		'name' => '',
		'type' => 'checkbox',
		'desc' => __('تک نوشته ها', THEME_NS),
		'depend' => 'theme_widget_show_on:selected,none_selected',
	),
	array(
		'id'   => 'theme_widget_single_page',
		'name' => '',
		'type' => 'checkbox',
		'desc' => __('تک صفحات', THEME_NS),
		'depend' => 'theme_widget_show_on:selected,none_selected',
	),
	array(
		'id'   => 'theme_widget_posts_page',
		'name' => '',
		'type' => 'checkbox',
		'desc' => __('نوشته های صفحه', THEME_NS),
		'depend' => 'theme_widget_show_on:selected,none_selected',
	),
	array(
		'id'   => 'theme_widget_page_ids',
		'name' => '',
		'type' => 'checkbox',
		'desc' => __('شناسه های صفحه ،جداسازی بوسیله کاما', THEME_NS),
		'depend' => 'theme_widget_show_on:selected,none_selected',
	),
	array(
		'id'   => 'theme_widget_page_ids_list',
		'name' => '',
		'type' => 'text',
		'desc' => '',
		'depend' => 'theme_widget_page_ids;theme_widget_show_on:selected,none_selected',
	),
);

global $theme_page_header_image_meta_options;
$theme_page_header_image_meta_options = array(
	array(
		'id'   => 'theme_header_image',
		'type' => 'text'
	),
	array(
		'id'   => 'theme_header_image_with_flash',
		'type' => 'checkbox'
	),
);